package com.sky.ioc.tool;

import com.sky.ioc.entity.domain.canteen.Cuisine;
import com.sky.ioc.entity.domain.parking.Parking;
import com.sky.ioc.entity.domain.supermarket.Supermarket;
import com.sky.ioc.entity.work.Access;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import java.util.*;

/**
 * @author LunCe
 */

@Service
public class FalseData {


    /**
     * 普通数据报表
     * */
    public static Map<Integer,Object>  REPORTFORMSMAP = new HashMap<>();
    /**
     * 圆圈报表
     * */
    public static List<Map<String,Object>> REPORTFORMSLIST2 = new ArrayList<>();

    /**
     *  核心指标
     */
    public static List<Map<String,Object>> REPORTFORMSLIST4 = new ArrayList<>();

    /**
     *
     * 今日菜谱或着三个字段的数据 ， arrayList
     * */
    public static List<Map<String,Object>> REPORTFORMSLIST3 = new ArrayList<>();

    /**
     *
     * 今日菜谱或着四个字段的数据 ， arrayList
     * */
    public static List<Map<String,Object>> REPORTFORMSLIST5 = new ArrayList<>();


    /**餐厅*/
    public static List<Cuisine> CUISINELIST = new ArrayList<>();
    /**停车*/
    public static List<Parking> PARKINGLIST = new ArrayList<>();
    /**商品*/
    public static List<Supermarket> SUPERMARKETLIST = new ArrayList<>();

    /**门禁*/
    public static List<Access> ACCESSLIST = new ArrayList<>();
    @PostConstruct
    public void initializeInfo3(){
        /*CUISINELIST.add(new Cuisine("铁锅炖"));
        CUISINELIST.add(new Cuisine("酸辣臊子蹄筋"));
        CUISINELIST.add(new Cuisine("叉烧鱼"));
        CUISINELIST.add(new Cuisine("复元汤"));
        CUISINELIST.add(new Cuisine("鸡包鱼翅"));
        CUISINELIST.add(new Cuisine("酸辣臊子蹄筋"));
        CUISINELIST.add(new Cuisine("小鸡炖蘑菇"));
        CUISINELIST.add(new Cuisine("锅贴鸡片"));
        CUISINELIST.add(new Cuisine("小鸡炖蘑菇"));
        CUISINELIST.add(new Cuisine("山鸡丁儿"));
        CUISINELIST.add(new Cuisine("麻酱凤尾"));
        CUISINELIST.add(new Cuisine("麻酱凤尾"));
        CUISINELIST.add(new Cuisine("麻酱凤尾"));
        CUISINELIST.add(new Cuisine("麻酱凤尾"));*/

       /* PARKINGLIST.add(new Parking("B201","李劲","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B202","李良","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B203","宋明宇","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B204","陈涵亮","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B205","李超","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B206","章峰","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B207","梁松","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B208","方运诚","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B101","徐涵衍","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B102","万浩波","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B103","周浩广","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B104","许鸿博","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B105","荣浩博","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B106","许鸿畴","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B107","徐瀚文","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B108","陈浩初","北京电信规划设计院","8","0"));
        PARKINGLIST.add(new Parking("B109","程涵煦","北京电信规划设计院","8","0"));*/



        SUPERMARKETLIST.add(new Supermarket("钟薛高"));
        SUPERMARKETLIST.add(new Supermarket("雪糕"));
        SUPERMARKETLIST.add(new Supermarket("雪糕"));
        SUPERMARKETLIST.add(new Supermarket("雪糕"));
        SUPERMARKETLIST.add(new Supermarket("牛肉饼"));
        SUPERMARKETLIST.add(new Supermarket("鸭脖"));
        SUPERMARKETLIST.add(new Supermarket("牛肉饼"));
        SUPERMARKETLIST.add(new Supermarket("薯片"));
        SUPERMARKETLIST.add(new Supermarket("薯条"));
        SUPERMARKETLIST.add(new Supermarket("可乐"));
        SUPERMARKETLIST.add(new Supermarket("雪碧"));
        SUPERMARKETLIST.add(new Supermarket("牛板筋"));
        SUPERMARKETLIST.add(new Supermarket("牛肉干"));



        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
        ACCESSLIST.add(new Access());
    }





    public @PostConstruct void initializeInfo2(){
        HashMap<String, Object> objectHashMap1 = new HashMap<>();
        objectHashMap1.put("truckSpace", "b201");
        objectHashMap1.put("type", "热菜");
        objectHashMap1.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap1.put("count",25 );
        REPORTFORMSLIST5.add(objectHashMap1);



        HashMap<String, Object> objectHashMap2 = new HashMap<>();
        objectHashMap2.put("truckSpace", "b201");
        objectHashMap2.put("type", "热菜");
        objectHashMap2.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap2.put("count",25 );
        REPORTFORMSLIST5.add(objectHashMap2);

        HashMap<String, Object> objectHashMap3 = new HashMap<>();
        objectHashMap3.put("truckSpace", "b201");
        objectHashMap3.put("type", "热菜");
        objectHashMap3.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap3.put("count",25 );
        REPORTFORMSLIST5.add(objectHashMap3);

        HashMap<String, Object> objectHashMap4 = new HashMap<>();
        objectHashMap4.put("truckSpace", "b201");
        objectHashMap4.put("type", "热菜");
        objectHashMap4.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap4.put("count",25 );
        REPORTFORMSLIST5.add(objectHashMap4);

        HashMap<String, Object> objectHashMap5 = new HashMap<>();
        objectHashMap5.put("truckSpace", "b201");
        objectHashMap5.put("type", "热菜");
        objectHashMap5.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap5.put("count",25 );
        REPORTFORMSLIST5.add(objectHashMap5);


        HashMap<String, Object> objectHashMap6 = new HashMap<>();
        objectHashMap6.put("truckSpace", "b201");
        objectHashMap6.put("type", "热菜");
        objectHashMap6.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap6.put("count",25 );
        REPORTFORMSLIST5.add(objectHashMap6);
    }


    public @PostConstruct void initializeInfo(){


        HashMap<String, Object> objectObjectHashMaplist = new HashMap<>();
        objectObjectHashMaplist.put("info","当天就餐人数预测");
        objectObjectHashMaplist.put("personnel",1800);
        objectObjectHashMaplist.put("rise","0.14%");
        objectObjectHashMaplist.put("decline","0.14%");
        REPORTFORMSLIST4.add(objectObjectHashMaplist);

        HashMap<String, Object> objectObjectHashMaplist2 = new HashMap<>();
        objectObjectHashMaplist2.put("info","累计就餐人数");
        objectObjectHashMaplist2.put("personnel",1500);
        objectObjectHashMaplist2.put("rise","0.14%");
        objectObjectHashMaplist2.put("decline","0.14%");
        REPORTFORMSLIST4.add(objectObjectHashMaplist2);

        HashMap<String, Object> objectObjectHashMaplist3 = new HashMap<>();
        objectObjectHashMaplist3.put("info","消费总额");
        objectObjectHashMaplist3.put("personnel",1800);
        objectObjectHashMaplist3.put("rise","0.14%");
        objectObjectHashMaplist3.put("decline","0.14%");
        REPORTFORMSLIST4.add(objectObjectHashMaplist3);


        HashMap<String, Object> objectObjectHashMaplist4 = new HashMap<>();
        objectObjectHashMaplist4.put("info","订单均价");
        objectObjectHashMaplist4.put("personnel",18);
        objectObjectHashMaplist4.put("rise","0.14%");
        objectObjectHashMaplist4.put("decline","0.14%");
        REPORTFORMSLIST4.add(objectObjectHashMaplist4);




        HashMap<String, Object> objectObjectHashMap = new HashMap<>();
        objectObjectHashMap.put("info","线下");
        objectObjectHashMap.put("count",110);
        REPORTFORMSLIST2.add(objectObjectHashMap);


        HashMap<String, Object> objectObjectHashMap2 = new HashMap<>();
        objectObjectHashMap2.put("info","线上");
        objectObjectHashMap2.put("count",120);
        REPORTFORMSLIST2.add(objectObjectHashMap2);


        HashMap<String, Object> objectObjectHashMap3 = new HashMap<>();
        objectObjectHashMap3.put("info","刷卡");
        objectObjectHashMap3.put("count",130);
        REPORTFORMSLIST2.add(objectObjectHashMap3);

        HashMap<String, Object> objectObjectHashMap4 = new HashMap<>();
        objectObjectHashMap4.put("info","现金");
        objectObjectHashMap4.put("count",140);
        REPORTFORMSLIST2.add(objectObjectHashMap4);


        HashMap<String, Object> objectHashMap1 = new HashMap<>();
        objectHashMap1.put("type", "热菜");
        objectHashMap1.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap1.put("count",25 );
        REPORTFORMSLIST3.add(objectHashMap1);



        HashMap<String, Object> objectHashMap2 = new HashMap<>();
        objectHashMap2.put("type", "热菜");
        objectHashMap2.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap2.put("count",25 );
        REPORTFORMSLIST3.add(objectHashMap2);

        HashMap<String, Object> objectHashMap3 = new HashMap<>();
        objectHashMap3.put("type", "热菜");
        objectHashMap3.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap3.put("count",25 );
        REPORTFORMSLIST3.add(objectHashMap3);

        HashMap<String, Object> objectHashMap4 = new HashMap<>();
        objectHashMap4.put("type", "热菜");
        objectHashMap4.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap4.put("count",25 );
        REPORTFORMSLIST3.add(objectHashMap4);

        HashMap<String, Object> objectHashMap5 = new HashMap<>();
        objectHashMap5.put("type", "热菜");
        objectHashMap5.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap5.put("count",25 );
        REPORTFORMSLIST3.add(objectHashMap5);


        HashMap<String, Object> objectHashMap6 = new HashMap<>();
        objectHashMap6.put("type", "热菜");
        objectHashMap6.put("name", "铁锅蘑菇土豆炖菜鸡");
        objectHashMap6.put("count",25 );
        REPORTFORMSLIST3.add(objectHashMap6);




        //周 ， 月 ，年
        List<Map<String,Object>> listMap = new ArrayList<>();

        HashMap<String, Object> objectHashMapList = new HashMap<>();
        objectHashMapList.put("info1",300);
        objectHashMapList.put("info2",1800);
        objectHashMapList.put("info3",200);
        objectHashMapList.put("date",1);
        listMap.add(objectHashMapList);

        HashMap<String, Object> objectHashMapList2 = new HashMap<>();
        objectHashMapList2.put("info1",300);
        objectHashMapList2.put("info2",1800);
        objectHashMapList2.put("info3",200);
        objectHashMapList2.put("date",2);
        listMap.add(objectHashMapList2);


        HashMap<String, Object> objectHashMapList3 = new HashMap<>();
        objectHashMapList3.put("info1",300);
        objectHashMapList3.put("info2",1800);
        objectHashMapList3.put("info3",200);
        objectHashMapList3.put("date",3);
        listMap.add(objectHashMapList3);

        HashMap<String, Object> objectHashMapList4 = new HashMap<>();
        objectHashMapList4.put("info1",300);
        objectHashMapList4.put("info2",1800);
        objectHashMapList4.put("info3",200);
        objectHashMapList4.put("date",4);
        listMap.add(objectHashMapList4);

        HashMap<String, Object> objectHashMapList5 = new HashMap<>();
        objectHashMapList5.put("info1",300);
        objectHashMapList5.put("info2",1800);
        objectHashMapList5.put("info3",200);
        objectHashMapList5.put("date",5);
        listMap.add(objectHashMapList5);

        HashMap<String, Object> objectHashMapList6 = new HashMap<>();
        objectHashMapList6.put("info1",300);
        objectHashMapList6.put("info2",1800);
        objectHashMapList6.put("info3",200);
        objectHashMapList6.put("date",6);
        listMap.add(objectHashMapList6);


        HashMap<String, Object> objectHashMapList7 = new HashMap<>();
        objectHashMapList7.put("info1",300);
        objectHashMapList7.put("info2",1800);
        objectHashMapList7.put("info3",200);
        objectHashMapList7.put("date",7);
        listMap.add(objectHashMapList7);

        REPORTFORMSMAP.put(1,listMap);



        List<Map<String,Object>> listMap2 = new ArrayList<>();

        HashMap<String, Object> hashMapList = new HashMap<>();
        hashMapList.put("info1",300);
        hashMapList.put("info2",1800);
        hashMapList.put("info3",200);
        hashMapList.put("date",1);
        listMap2.add(hashMapList);


        HashMap<String, Object> hashMapList2 = new HashMap<>();
        hashMapList2.put("info1",300);
        hashMapList2.put("info2",1800);
        hashMapList2.put("info3",200);
        hashMapList2.put("date",2);
        listMap2.add(hashMapList2);



        HashMap<String, Object> hashMapList3 = new HashMap<>();
        hashMapList3.put("info1",300);
        hashMapList3.put("info2",1800);
        hashMapList3.put("info3",200);
        hashMapList3.put("date",3);
        listMap2.add(hashMapList3);


        HashMap<String, Object> hashMapList4 = new HashMap<>();
        hashMapList4.put("info1",300);
        hashMapList4.put("info2",1800);
        hashMapList4.put("info3",200);
        hashMapList4.put("date",4);
        listMap2.add(hashMapList4);
        REPORTFORMSMAP.put(2,listMap2);


        List<Map<String,Object>> listMap3 = new ArrayList<>();
        HashMap<String, Object> hashMap = new HashMap<>();
        hashMap.put("info1",300);
        hashMap.put("info2",1800);
        hashMap.put("info3",200);
        hashMap.put("date",1);
        listMap3.add(hashMap);


        HashMap<String, Object> hashMap2 = new HashMap<>();
        hashMap2.put("info1",300);
        hashMap2.put("info2",1800);
        hashMap2.put("info3",200);
        hashMap2.put("date",2);
        listMap3.add(hashMap2);


        HashMap<String, Object> hashMap3 = new HashMap<>();
        hashMap3.put("info1",300);
        hashMap3.put("info2",1800);
        hashMap3.put("info3",200);
        hashMap3.put("date",3);
        listMap3.add(hashMap3);


        HashMap<String, Object> hashMap4 = new HashMap<>();
        hashMap4.put("info1",300);
        hashMap4.put("info2",1800);
        hashMap4.put("info3",200);
        hashMap4.put("date",4);
        listMap3.add(hashMap4);


        HashMap<String, Object> hashMap5 = new HashMap<>();
        hashMap5.put("info1",300);
        hashMap5.put("info2",1800);
        hashMap5.put("info3",200);
        hashMap5.put("date",5);
        listMap3.add(hashMap5);

        HashMap<String, Object> hashMap6 = new HashMap<>();
        hashMap6.put("info1",300);
        hashMap6.put("info2",1800);
        hashMap6.put("info3",200);
        hashMap6.put("date",6);
        listMap3.add(hashMap6);

        HashMap<String, Object> hashMap7 = new HashMap<>();
        hashMap7.put("info1",300);
        hashMap7.put("info2",1800);
        hashMap7.put("info3",200);
        hashMap7.put("date",7);
        listMap3.add(hashMap7);



        HashMap<String, Object> hashMap8 = new HashMap<>();
        hashMap8.put("info1",300);
        hashMap8.put("info2",1800);
        hashMap8.put("info3",200);
        hashMap8.put("date",8);
        listMap3.add(hashMap8);


        HashMap<String, Object> hashMap9 = new HashMap<>();
        hashMap9.put("info1",300);
        hashMap9.put("info2",1800);
        hashMap9.put("info3",200);
        hashMap9.put("date",9);
        listMap3.add(hashMap9);

        HashMap<String, Object> hashMap10 = new HashMap<>();
        hashMap10.put("info1",300);
        hashMap10.put("info2",1800);
        hashMap10.put("info3",200);
        hashMap10.put("date",10);
        listMap3.add(hashMap10);

        HashMap<String, Object> hashMap11 = new HashMap<>();
        hashMap11.put("info1",300);
        hashMap11.put("info2",1800);
        hashMap11.put("info3",200);
        hashMap11.put("date",11);
        listMap3.add(hashMap11);

        HashMap<String, Object> hashMap12 = new HashMap<>();
        hashMap12.put("info1",300);
        hashMap12.put("info2",1800);
        hashMap12.put("info3",200);
        hashMap12.put("date",12);
        listMap3.add(hashMap12);

        REPORTFORMSMAP.put(3,listMap3);
    }







}
